Skip to main content
GET
/
api
/
v2
/
public
/
execution
curl -X GET "https://app.refold.ai/api/v2/public/execution?status=COMPLETED&limit=10" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID"
{
  "docs": [
    {
      "_id": "6a314c54d4616e99e7fa5a02",
      "name": "Execution for workflow 6a106ba44480b80424a65289",
      "org_id": "6500a1b2c3d4e5f6a7b8c9d0",
      "environment": "test",
      "status": "COMPLETED",
      "associated_application": { "_id": "6992cc7dc124a392c80e9e9c", "name": "Hubspot", "icon": "https://cobalt-app-logos.s3.ap-south-1.amazonaws.com/hubspot/logo.png" },
      "associated_workflow": { "_id": "6a106ba44480b80424a65289", "name": "Daily Sync", "icon": "" },
      "trigger_application_event": "Schedule",
      "linked_account_id": "user_12345",
      "config_id": "user_12345",
      "type_of_execution": "ASYNC",
      "createdAt": "2026-06-16T13:15:00.887Z"
    }
  ],
  "totalDocs": 24742,
  "limit": 10,
  "page": 1,
  "totalPages": 2475,
  "hasNextPage": true
}
List workflow executions (instances) for a linked account, paginated and filterable by workflow, app, status, date range, and more. Use it to build a run-history view or monitor recent activity.

Authentication

This endpoint is scoped to a linked account, so it accepts either authentication method. Option 1 — API key
x-api-key
string
Your Refold API key.
linked_account_id
string
The linked account.
Option 2 — Session token
Authorization
string
Session token. Format: Bearer YOUR_SESSION_TOKEN

Query Parameters

page
integer
default:"1"
Page number.
limit
integer
default:"10"
Page size.
status
string
Filter by status, e.g. COMPLETED, RUNNING, FAILED.
slug
string
Filter by app slug.
workflow_id
string
Filter by workflow ID.
workflow_name
string
Filter by workflow name.
execution_id
string
Filter to a single execution.
start_date
string
ISO start of the date range.
end_date
string
ISO end of the date range.
execution_type
string
Filter by type, e.g. ASYNC.
execution_source
string
Filter by source.
sortAsc
boolean
Sort ascending by creation time.

Response

Returns a paginated envelope of execution objects.
docs
array
Executions.
totalDocs
integer
Total executions.
page
integer
Current page.
hasNextPage
boolean
Whether another page follows.
{
  "docs": [
    {
      "_id": "6a314c54d4616e99e7fa5a02",
      "name": "Execution for workflow 6a106ba44480b80424a65289",
      "org_id": "6500a1b2c3d4e5f6a7b8c9d0",
      "environment": "test",
      "status": "COMPLETED",
      "associated_application": { "_id": "6992cc7dc124a392c80e9e9c", "name": "Hubspot", "icon": "https://cobalt-app-logos.s3.ap-south-1.amazonaws.com/hubspot/logo.png" },
      "associated_workflow": { "_id": "6a106ba44480b80424a65289", "name": "Daily Sync", "icon": "" },
      "trigger_application_event": "Schedule",
      "linked_account_id": "user_12345",
      "config_id": "user_12345",
      "type_of_execution": "ASYNC",
      "createdAt": "2026-06-16T13:15:00.887Z"
    }
  ],
  "totalDocs": 24742,
  "limit": 10,
  "page": 1,
  "totalPages": 2475,
  "hasNextPage": true
}
curl -X GET "https://app.refold.ai/api/v2/public/execution?status=COMPLETED&limit=10" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "linked_account_id: YOUR_LINKED_ACCOUNT_ID"